jQuery(document).ready(function ($) {

    $('div.bp-user-badges-custom-badge-section').sortable({ connectWith: 'div.bp-user-badges-custom-badge-wrap', handle: $( 'h4.bp-user-badges-custom-badge' ) });

    $(document).on('click', 'h4.bp-user-badges-custom-badge', function (e) {

        if ($(e.target).is('a')) {
            return;
        }

        var $this = $(this), badge_id = $this.data('badgeId');
        $('fieldset#bp-user-badges-custom-' + badge_id).toggleClass('deactive');
    });

    $(document).on('click', 'h4.bp-user-badges-role-badge', function (e) {
        var $this = $(this), role = $this.data('role');
        $('fieldset#bp-user-badges-role-' + role).toggleClass('deactive');
    });

    $(document).on('click', 'h4.bp-user-badges-member-type-badge', function (e) {
        var $this = $(this), role = $this.data('memberType');
        $('fieldset#bp-user-badges-member-type-' + role).toggleClass('deactive');
    });

    $(document).on('click', 'input.bp-user-badges-is-active', function () {
        var $this = $(this);

        if ($this.prop('checked')) {
            $this.parents('fieldset').find('input.bp-user-badges-is-active-text-field').val(1);
        } else {
            $this.parents('fieldset').find('input.bp-user-badges-is-active-text-field').val(0);
        }
    });

    $(document).on('click', 'a#bp-user-badges-add-new-btn', function (e) {
        e.preventDefault();

        var $form           = $('#bp-user-badges-form');
        var $target_element = $form.find('div.bp-user-badges-custom-badge-section');
        var reptableFields  = $form.find('fieldset').get(0);
        var cloneFormFields = $(reptableFields).clone();

        //var $delete_btn     = cloneFormFields.find('a.bp-user-badges-delete-badge-btn');

        /*if ( $delete_btn != undefined ) {
            $delete_btn.remove();
        }*/
        cloneFormFields.removeAttr('id');
        cloneFormFields.removeClass('deactive');
        cloneFormFields.find('input.bp-user-badges-is-active').removeAttr('checked');
        cloneFormFields.addClass('bp-user-badges-add-new');

       /// if ( ! cloneFormFields.find( 'h4' ).length ) {
            $('<a class="dashicons dashicons-no bp-user-badges-delete-new-badge-form-btn"></a>').insertBefore( cloneFormFields.find('div.bp-user-badges-is-active') );
       // }

        //cloneFormFields.find( 'h4' ).text( 'Add new badge' );

        cloneFormFields.find( 'input' ).val( '' ).end();
        cloneFormFields.find( 'textarea' ).val( '' ).end();
        cloneFormFields.find( 'img' ).attr('src', '' ).hide().end();
        cloneFormFields.find( 'a.bp-user-badges-delete-image-btn' ).hide().end()
        cloneFormFields.appendTo( $target_element );
        //$form.find( 'fieldset' ).show();

        return false;
    });

    $(document).on('click', 'div.bp-user-badges-section h1', function () {
        var $h1 = $(this);

        $h1.parents('div.bp-user-badges-section').find('form').toggleClass('deactive');
    });

    $(document).on('click', 'a.bp-user-badges-delete-new-badge-form-btn', function () {
        $(this).parents('fieldset.bp-user-badges-add-new').remove();
        return false;
    });

    $( document ).on( 'click', '.bp-user-badges-delete-image-btn', function () {
        var $this = $( this );
        $fieldset = $this.parents( 'fieldset' );

        $fieldset.find( '.bp-user-badges-image' ).val( '' );
        $fieldset.find( '.bp-user-badges-image-show' ).hide().attr( 'src', '' );
        $this.addClass('deactive');

        return false;
    });

    var badge_uploader, $fieldset;
    $( document ).on( 'click', 'a.bp-user-badges-upload-image-btn', function (e) {

        e.preventDefault();
        var $this = $(this);
        $fieldset = $this.parents( 'fieldset' );

        // If the uploader object has already been created, reopen the dialog.
        if ( badge_uploader ) {
            badge_uploader.open();
            return;
        }

        // Extend the wp.media object.
        badge_uploader = wp.media.frames.file_frame = wp.media({
            title: $this.data('uploader-title' ),
            button: {
                text: $this.data('btn-title' )
            },
            allowedTypes: ['image'],
            multiple: false
        });

        //When a file is selected, grab the URL and set it as the text field's value
        badge_uploader.on( 'select', on_upload );

        //Open the uploader dialog
        badge_uploader.open();

        return false;
    });

    function on_upload() {
        var attachment = badge_uploader.state().get( 'selection' ).first().toJSON();
        //console.log(attachment.sizes);
        $fieldset.find( '.bp-user-badges-image' ).val( attachment.url );
        $fieldset.find( '.bp-user-badges-image-show' ).show().attr( 'src', attachment.url );
        $fieldset.find( '.bp-user-badges-delete-image-btn' ).removeClass('deactive');
    }
});