<?php
/**
 * BBPress badge display helper implementation
 *
 * @package    BuddyPress_User_Badges
 * @subpackage Handlers
 */

namespace BuddyDev\BuddyPress_User_Badges\Handlers;

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * Helper for displaying badges with BuddyBoss theme.
 */
class BBP_Display_Helper extends Badge_Display_Helper {

	/**
	 * Initialize class
	 */
	public static function boot() {
		$self = new self();

		$self->setup();
	}

	/**
	 * Setup bbpress actions here
	 */
	protected function setup() {
		add_action( 'bbp_theme_after_reply_author_details', array( $this, 'add_replier_list_badges' ) );
	}

	/**
	 * Show users badge in members directory
	 *
	 * Works only when profile type is not enabled to show on profile.
	 */
	public function add_replier_list_badges() {

		if ( ! bbp_is_single_topic() ) {
			return;
		}

		$show_badges_in = (array) bp_user_badges_get_option( 'badge_display_context' );

		if ( in_array( 'bbp_single_topic', $show_badges_in, true ) ) {
			echo $this->get_user_badges_html( bbp_get_reply_author_id() );
		}
	}
}