<?php
/**
 * Model class for user badge relationship table
 *
 * @package    buddpress-user-badges
 * @subpackage Models
 */

namespace BuddyDev\BuddyPress_User_Badges\Models;

use BuddyDev\BuddyPress_User_Badges\Schema\Schema;

// No direct access.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Model Class For User Badge RelationShip
 *
 * @property-read int $user_id   User id.
 * @property-read int $badge_id  Badge id.
 */
class Badge_Relationship extends Model {

	/**
	 * @var bool
	 */
	protected static $update_primary_key_on_save = false;

	/**
	 * Get the table name.
	 *
	 * @return string
	 */
	public static function table() {
		return Schema::table( 'badge_relationships' );
	}

	/**
	 * Get table schema.
	 *
	 * @return array
	 */
	public static function schema() {

		return array(
			'user_id'  => 'integer',
			'badge_id' => 'integer',
		);
	}
}
